#!/bin/sh

module="sm_uartpci"
device="sm_uartpci"

# remove stale nodes
rm -f /dev/${device}[0-3]

major=`awk "\\$2==\"$module\" {print \\$1}" /proc/devices`

if [ $major ]; then
  mknod /dev/${device}0 c $major 0

  chmod 777 /dev/${device}[0-3]

  term /dev/${device}0 eth1
else
  echo "Device $device not found"
fi

