

#define AES_KEY_WRAP_IV_BYTES    8
#define AES_KEY_WRAP_BLOCK_SIZE  8

#define AES_BLOCK_SIZE          16

typedef struct AESKeyWrapContextStr AESKeyWrapContext;


AESKeyWrapContext *AESKeyWrap_CreateContext(const unsigned char *key, const unsigned char *iv, int encrypt, unsigned int keylen);
void AESKeyWrap_DestroyContext(AESKeyWrapContext *cx);
int AESKeyWrap_Encrypt(AESKeyWrapContext *cx, unsigned char *output, unsigned int *pOutputLen, unsigned int maxOutputLen, const unsigned char *input, unsigned int inputLen);
int AESKeyWrap_Decrypt(AESKeyWrapContext *cx, unsigned char *output, unsigned int *pOutputLen, unsigned int maxOutputLen, const unsigned char *input, unsigned int inputLen);

