/*
 *
 *
 * IMPORTANT--READ CAREFULLY:
 * Right, including without limitation, use, reproduction, modification, and
 * creation of derivative works, pertaining to this Source Code ("Document") are
 * governed by a legal Agreement ("Agreement") between you (either an individual or
 * a single entity) and Intersil Americas Inc ("Intersil") and/or its licensee
 * (both hereinafter called Licensor).
 * By reproducing, modifying, creating derivative works, accepting, installing,
 * viewing, accessing, transforming or otherwise using this Document, you agree
 * to be bound by the terms of the Agreement. If you do not agree to the terms of
 * the Agreement, Licensor is unwilling to license rights to this Document to you.
 * In such event, you may not use, reproduce, modify, create derivative works, install,
 * view, access, transport, transform or circulate this Document, and you should
 * promptly contact Licensor from which you acquired this Document for instructions
 * on returning or destroying this Document.
 *
 * CONFIDENTIAL, PROPRIETARY AND TRADE SECRET INFORMATION:
 * This Document contains confidential, proprietary and trade secret information of
 * Intersil Americas Inc. and should be treated in a confidential manner.
 * Furthermore, this Document is protected by national copyright laws and
 * international treaties.
 * Unauthorized use, reproduction, modification, creation of derivative works or
 * circulation is strictly prohibited.
 *
 * Intersil  is a registered trademark of Intersil Americas Inc.
 *
 * Copyright  2002 Intersil Americas Inc. All Rights Reserved.
 *
 *
 */

/*
 * Revision Control System Keywords:
 * $Header   : $
 * $DateTime : $
 * $Change   : $
 * $Author   : $
 */
#ifndef _STATE_SSN_H
#define _STATE_SSH_H

#define SSN_MAX_RETRIES               3

#include "client.h"


int ssn_check_states(struct client_t *client);

int ssn_disconnect(struct client_t *client);
int ssn_disconnected(struct client_t *client);
int ssn_initialize(struct client_t *client);
int ssn_authentication(struct client_t *client);
int ssn_initpmk(struct client_t *client);
int ssn_initpsk(struct client_t *client);
int ssn_ptkstart(struct client_t *client);
int ssn_ptkinitnegotiating(struct client_t *client);
int ssn_ptkinitdone(struct client_t *client);
int ssn_update_gtk(struct client_t *client);
int ssn_update_gtk_done(struct client_t *client);
int ssn_updatekeys(struct client_t *client);
int ssn_integrityfailure(struct client_t *client);
int ssn_keyupdate(struct client_t *client);
int ssn_rekeynegotiating(struct client_t *client);
int ssn_rekeyestablished(struct client_t *client);
int ssn_keyerror(struct client_t *client);

#endif